Puppy Linux Discussion Forum Forum Index Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Sat 25 Oct 2014, 03:52
All times are UTC - 4
 Forum index » Advanced Topics » Puppy Derivatives
Dpup Exprimo 5.X.3.1.10.3 SMP multicore optimized version
Moderators: Flash, JohnMurga
Post_new_topic   Reply_to_topic View_previous_topic :: View_next_topic
Page 29 of 70 Posts_count   Goto page: Previous 1, 2, 3, ..., 27, 28, 29, 30, 31, ..., 68, 69, 70 Next
Author Message
pemasu


Joined: 08 Jul 2009
Posts: 5463
Location: Finland

PostPosted: Fri 13 Jan 2012, 06:03    Post_subject:  

James C. When you wake up and see this post. The right console command would have been: find /lib -name "tulip*" so that it would have picked tulip.ko and also possible ( but not expected) firmware called, for example, tulip.bin or tulipfw.bin or whatever.

But now I know what to search for and check if the tulip.ko has been included and if not, I check the ./config specs, where is the location and is it really left out. I can easily compile missing module, create a pet of it and include it to the kernel pet for next release.
Back to top
View user's profile Send_private_message 
James C


Joined: 26 Mar 2009
Posts: 5866
Location: Kentucky

PostPosted: Fri 13 Jan 2012, 13:07    Post_subject:  

Knew I was tired....

Code:
# find /lib -name "tulip*"
#
Back to top
View user's profile Send_private_message 
pemasu


Joined: 08 Jul 2009
Posts: 5463
Location: Finland

PostPosted: Fri 13 Jan 2012, 15:01    Post_subject:  

Good pick James C. I found the right section. I had ticked the tulip, but I hadnt noticed that there was whole under section which I should have ticked as modules also. Done now...I am compiling the modules...now. I will try to load them before I post the pet.
Back to top
View user's profile Send_private_message 
pemasu


Joined: 08 Jul 2009
Posts: 5463
Location: Finland

PostPosted: Fri 13 Jan 2012, 16:42    Post_subject:  

James C and other tulip fans around the world. Here is the test pet for tulip drivers. Install the pet. Modprobe appropriate driver ie modprobe tulip is reguired.
Depmod will be executed by the pinstall.sh script.
Drivers included are
Code:
# ls /lib/modules/3.1.0/kernel/drivers/net/tulip/*
/lib/modules/3.1.0/kernel/drivers/net/tulip/de2104x.ko
/lib/modules/3.1.0/kernel/drivers/net/tulip/de4x5.ko
/lib/modules/3.1.0/kernel/drivers/net/tulip/dmfe.ko
/lib/modules/3.1.0/kernel/drivers/net/tulip/tulip.ko
/lib/modules/3.1.0/kernel/drivers/net/tulip/uli526x.ko
/lib/modules/3.1.0/kernel/drivers/net/tulip/winbond-840.ko
/lib/modules/3.1.0/kernel/drivers/net/tulip/xircom_cb.ko
tulip-drivers-0.0.1.pet
Description 
pet

 Download 
Filename  tulip-drivers-0.0.1.pet 
Filesize  92.41 KB 
Downloaded  140 Time(s) 
Back to top
View user's profile Send_private_message 
James C


Joined: 26 Mar 2009
Posts: 5866
Location: Kentucky

PostPosted: Fri 13 Jan 2012, 18:47    Post_subject:  

Success here. Smile

Code:
--Loaded Modules-
tulip      : Digital 21*4* Tulip ethernet driver
Back to top
View user's profile Send_private_message 
James C


Joined: 26 Mar 2009
Posts: 5866
Location: Kentucky

PostPosted: Fri 13 Jan 2012, 18:53    Post_subject:  

Fresh frugal install ....actually used the installer this time ....on my Windows 7 Ultimate/PCLOS 2011/Lucid/Slacko box.Once the nic driver was sorted out, no problems.

# report-video
Dpup Exprimo SMP, version 5.X.10.3 on Fri 13 January 2012

Chip description:
0.0 VGA compatible controller
nVidia Corporation G98 [GeForce 8400 GS] (rev a1)
oem: NVIDIA
product: G98 Board - 5610002u Chip Rev

X Server: Xorg
Driver used: nv

X.Org version: 1.7.7
dimensions: 1440x900 pixels (380x238 millimeters)
depth of root window: 24 planes

...the above also recorded in /tmp/root/ as report-video,
and archived with xorg.conf and Xorg.0.log as report-video-full.gz

-Computer-
Processor : Intel(R) Celeron(R) CPU 2.80GHz
Memory : 1034MB (175MB used)
Operating System : Unknown distribution
User Name : root (root)
Date/Time : Fri 13 Jan 2012 04:51:17 PM CST
-Display-
Resolution : 1440x900 pixels
OpenGL Renderer : Unknown
X11 Vendor : The X.Org Foundation
-Multimedia-
Audio Adapter : ICH4 - Intel ICH5
Audio Adapter : CMI8738-MC6 - C-Media CMI8738

--Version-
Kernel : Linux 3.1.0 (i686)
Compiled : #1 SMP Wed Nov 30 22:26:30 EET 2011
C Library : GNU C Library version 2.11.2 (stable)
Exprimo 5.X.10.3.png
 Description   
 Filesize   26.07 KB
 Viewed   820 Time(s)

Exprimo 5.X.10.3.png

Back to top
View user's profile Send_private_message 
jpeps

Joined: 31 May 2008
Posts: 3220

PostPosted: Sun 15 Jan 2012, 06:06    Post_subject:  

I just gave this a run on my Dell Latitude D600 laptop. Everything ran well. I got gnumeric running with the addition of liboffice-0.8.so.8. Also needs libgsf, which is in the PPM. (I grabbed a copy of gnumeric compiled in Lucid, which worked fine).

edit: I just noticed there's a gnumeric package in the sfs repo that includes liboffice...works fine!
libgoffice-0.8-8_0.8.17-1_i386.deb.tar.gz
Description 
gz

 Download 
Filename  libgoffice-0.8-8_0.8.17-1_i386.deb.tar.gz 
Filesize  1.58 MB 
Downloaded  127 Time(s) 

Edited_time_total
Back to top
View user's profile Send_private_message 
pemasu


Joined: 08 Jul 2009
Posts: 5463
Location: Finland

PostPosted: Sun 15 Jan 2012, 06:16    Post_subject:  

Thanks Jim1911 and jpeps. I believe next project in the future with this thread would be 3.2 kernel, but not quite yet.
Back to top
View user's profile Send_private_message 
jpeps

Joined: 31 May 2008
Posts: 3220

PostPosted: Sun 15 Jan 2012, 13:50    Post_subject:  

libpng14 is the only package needed to install dillo browser compiled in Slacko. (The PPM has libpng12, which won't work).


Links browser works fine with addition of libgpm2 from the PPM
libpng14-14-1.4.8-3.1.2.i586.rpm.tar.gz
Description 
gz

 Download 
Filename  libpng14-14-1.4.8-3.1.2.i586.rpm.tar.gz 
Filesize  71.1 KB 
Downloaded  134 Time(s) 
Back to top
View user's profile Send_private_message 
jpeps

Joined: 31 May 2008
Posts: 3220

PostPosted: Sun 15 Jan 2012, 20:43    Post_subject:  

Trying to load libreoffice from the repos using Sfs Apps Loader got me an error about needing squashfs3; same when trying openoffice, even after I repacked it.
Back to top
View user's profile Send_private_message 
pemasu


Joined: 08 Jul 2009
Posts: 5463
Location: Finland

PostPosted: Mon 16 Jan 2012, 02:23    Post_subject:  

jpeps. I will look at it.
Back to top
View user's profile Send_private_message 
pemasu


Joined: 08 Jul 2009
Posts: 5463
Location: Finland

PostPosted: Mon 16 Jan 2012, 14:13    Post_subject:  

jpeps. I just tested the sfs apps loader and libreoffices sfs which is in exprimo repo. It downloaded and loaded ok. I have seen same misinforming error message when I have got bad download or download with broken net connection between the download. And I have had them a lot recently.
I believe you dont get 155 Mb download intact.

md5sum of my downloaded version. I hope I had it right.
a7d467997188b8620f8e9db7e587a894 LibreOffice-3.4.2-en-US.sfs
Back to top
View user's profile Send_private_message 
pemasu


Joined: 08 Jul 2009
Posts: 5463
Location: Finland

PostPosted: Mon 16 Jan 2012, 18:00    Post_subject:  

Another thing which is missing is..../usr/lib/gconv/gconv-modules.cache which causes that several gtkdialog apps launches slower than they should.

Here is the fixing pet for that problem. I suggest all to install it. You get snappier response for many applications starting.

It took long for me to find this fix. I have tracked the cause to Barry`s gconv template which has implicit NOEXCEPTIONS flag...which effectively rules out that file.
gconv-fix-0.0.1.pet
Description 
pet

 Download 
Filename  gconv-fix-0.0.1.pet 
Filesize  10.97 KB 
Downloaded  142 Time(s) 
Back to top
View user's profile Send_private_message 
jpeps

Joined: 31 May 2008
Posts: 3220

PostPosted: Mon 16 Jan 2012, 18:45    Post_subject:  

pemasu wrote:
jpeps. I just tested the sfs apps loader and libreoffices sfs which is in exprimo repo. It downloaded and loaded ok. I have seen same misinforming error message when I have got bad download or download with broken net connection between the download. And I have had them a lot recently.
I believe you dont get 155 Mb download intact.

md5sum of my downloaded version. I hope I had it right.
a7d467997188b8620f8e9db7e587a894 LibreOffice-3.4.2-en-US.sfs


It needed sfs-load 1.3. I had loaded 1.1, which doesn't work with the newer kernel. Thanks! Everything looking good!
Back to top
View user's profile Send_private_message 
pemasu


Joined: 08 Jul 2009
Posts: 5463
Location: Finland

PostPosted: Mon 16 Jan 2012, 18:58    Post_subject:  

Hah. Good to know. I didnt even remember anymore that it was non-compliant with previous versions.
I should have sfs_load 1.3 preinstalled ?
Thanks.
Back to top
View user's profile Send_private_message 
Display_posts:   Sort by:   
Page 29 of 70 Posts_count   Goto page: Previous 1, 2, 3, ..., 27, 28, 29, 30, 31, ..., 68, 69, 70 Next
Post_new_topic   Reply_to_topic View_previous_topic :: View_next_topic
 Forum index » Advanced Topics » Puppy Derivatives
Jump to:  

Rules_post_cannot
Rules_reply_cannot
Rules_edit_cannot
Rules_delete_cannot
Rules_vote_cannot
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.0898s ][ Queries: 13 (0.0192s) ][ GZIP on ]